DirectoryChooser (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.stage, class: DirectoryChooser

# Class DirectoryChooser

java.lang.Object
javafx.stage.DirectoryChooser

public final class DirectoryChooser extends Object
Provides support for standard directory chooser dialogs. These dialogs have look and feel of the platform UI components which is independent of JavaFX. On some platforms where file access may be restricted or not part of the user model (for example, on some mobile or embedded devices), opening a directory dialog may always result in a no-op (that is, null file being returned).

Since:
  JavaFX 2.1

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final ObjectProperty<File>`
  `initialDirectory`
  The initial directory for the displayed dialog.
  `final StringProperty`
  `title`
  The title of the displayed dialog.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryChooser()`
  Creates a `DirectoryChooser`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final File`
  `getInitialDirectory()`
  Gets the value of the `initialDirectory` property.
  `final String`
  `getTitle()`
  Gets the value of the `title` property.
  `final ObjectProperty<File>`
  `initialDirectoryProperty()`
  The initial directory for the displayed dialog.
  `final void`
  `setInitialDirectory(File value)`
  Sets the value of the `initialDirectory` property.
  `final void`
  `setTitle(String value)`
  Sets the value of the `title` property.
  `File`
  `showDialog(Window ownerWindow)`
  Shows a new directory selection dialog.
  `final StringProperty`
  `titleProperty()`
  The title of the displayed dialog.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### title

    public final StringProperty titleProperty
    The title of the displayed dialog.
    See Also:
      - `getTitle()`
      - `setTitle(String)`
      - `titleProperty()`

  - ### initialDirectory

    public final ObjectProperty<File> initialDirectoryProperty
    The initial directory for the displayed dialog.
    See Also:
      - `getInitialDirectory()`
      - `setInitialDirectory(File)`
      - `initialDirectoryProperty()`

- ## Constructor Details

  - ### DirectoryChooser

    public DirectoryChooser()
    Creates a `DirectoryChooser`.

- ## Method Details

  - ### setTitle

    public final void setTitle(String value)
    Sets the value of the `title` property.
    Property description:
      The title of the displayed dialog.
    Parameters:
      `value` - the value for the `title` property
    See Also:
      - `getTitle()`
      - `titleProperty()`

  - ### getTitle

    public final String getTitle()
    Gets the value of the `title` property.
    Property description:
      The title of the displayed dialog.
    Returns:
      the value of the `title` property
    See Also:
      - `setTitle(String)`
      - `titleProperty()`

  - ### titleProperty

    public final StringProperty titleProperty()
    The title of the displayed dialog.
    Returns:
      the `title` property
    See Also:
      - `getTitle()`
      - `setTitle(String)`

  - ### setInitialDirectory

    public final void setInitialDirectory(File value)
    Sets the value of the `initialDirectory` property.
    Property description:
      The initial directory for the displayed dialog.
    Parameters:
      `value` - the value for the `initialDirectory` property
    See Also:
      - `getInitialDirectory()`
      - `initialDirectoryProperty()`

  - ### getInitialDirectory

    public final File getInitialDirectory()
    Gets the value of the `initialDirectory` property.
    Property description:
      The initial directory for the displayed dialog.
    Returns:
      the value of the `initialDirectory` property
    See Also:
      - `setInitialDirectory(File)`
      - `initialDirectoryProperty()`

  - ### initialDirectoryProperty

    public final ObjectProperty<File> initialDirectoryProperty()
    The initial directory for the displayed dialog.
    Returns:
      the `initialDirectory` property
    See Also:
      - `getInitialDirectory()`
      - `setInitialDirectory(File)`

  - ### showDialog

    public File showDialog(Window ownerWindow)
    Shows a new directory selection dialog. The method doesn't return until the displayed dialog is dismissed. The return value specifies the directory chosen by the user or `null` if no selection has been made. If the owner window for the directory selection dialog is set, input to all windows in the dialog's owner chain is blocked while the dialog is being shown.
    Parameters:
      `ownerWindow` - the owner window of the displayed dialog
    Returns:
      the selected directory or `null` if no directory has been selected